Bug 981137 - PyXML left behind on update to Fedora 19
PyXML left behind on update to Fedora 19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 02:09 EDT by Mattias Ellert
Modified: 2013-07-11 23:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-2.7.5-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 23:08:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2013-07-04 02:09:24 EDT
Description of problem:
PyXML was removed in Fedora 19 in favour of functionality in the python stdlib
https://fedoraproject.org/wiki/Features/RemovePyXML

However, no package in F19 obsoletes the deprecated package, so it is left behind when updating from F18

[root@localhost ~]# repoquery --whatobsoletes PyXML
[root@localhost ~]# 

Version-Release number of selected component (if applicable):


How reproducible:
I only did the update once, but it should happen every time.

Steps to Reproduce:
1. Update from F18 to F19

Actual results:
Retired PyXML left behind

Expected results:
Retired PyXML removed
Comment 1 Bohuslav "Slavek" Kabrda 2013-07-08 05:41:32 EDT
I'll add the proper obsoletes into Python package. Thanks for the report.
Comment 2 Fedora Update System 2013-07-08 06:53:17 EDT
python-2.7.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-2.7.5-3.fc19
Comment 3 Fedora Update System 2013-07-08 21:35:30 EDT
Package python-2.7.5-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-2.7.5-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12606/python-2.7.5-3.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-11 23:08:35 EDT
python-2.7.5-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.